Subject: [DMM] draft-ietf-teas-ietf-network-slice-definition-00

From: Uma Chunduri <[email-masked]>
Date: Thu, 11 Feb 2021 16:26:36 -0800

Dear All,

2 questions on this draft:

1.
Section 4.2 defines 'IETF Network Slice endpoints'

It Says -

" o They are conceptual points of connection of a consumer network,

      network function, device, or application to the IETF network
      slice.  This might include routers, switches, firewalls, WAN,
      4G/5G RAN nodes, 4G/5G Core nodes, application acceleration, Deep
      Packet Inspection (DPI), server load balancers, NAT44 [RFC3022
<https://tools.ietf.org/html/rfc3022>],
      NAT64 [RFC6146 <https://tools.ietf.org/html/rfc6146>], HTTP
header enrichment functions, and TCP
      optimizers."

I presume 4G/5G RAN nodes, you meant eNB, gNB-DU, gNB-CU-UP etc. If yes,

there was a question from one of the 3GPP delegates on how this can be
called as

'IETF Network Slice Endpoint'?

I guess, we ought to be cognizant when we tag 'IETF' for some of

these definitions.

The above also mentions 4G/5G Core nodes aka SGW/PGW/all-variants-of-UPFs and

these are again not typically 'IETF Network Slice Endpoints'.

Could you please give your thoughts here?

2.

Section 1 says

"IETF network slices are created and managed within the scope of one

   or more network technologies (e.g., IP, MPLS, optical). :

Obviously, optical is a bigger topic and if we talk about optical
solutions like

OTN (Layer 1)  and SPN (Layer 1.5) are more controlled by other SDOs. SPN has

a complete slicing solution with not much bearing to IETF.

So, could you please expand 'optical' in the list above? Is it the
various optical control plane

specifications done here, you were referring to?

--

Uma C.

---

From: "Rokui, Reza (Nokia - CA/Ottawa)" <[email-masked]>
Date: Fri, 12 Feb 2021 14:46:48 +0000

Hi Uma,
The comments are inlined.

Reza

From: Teas <[email-masked]> on behalf of Uma Chunduri <[email-masked]>
Date: Thursday, February 11, 2021 at 7:26 PM
To: TEAS WG <[email-masked]>
Cc: dmm <[email-masked]>
Subject: [Teas] draft-ietf-teas-ietf-network-slice-definition-00

Dear All,

1.

It Says -

      Packet Inspection (DPI), server load balancers, NAT44 [RFC3022<https://tools.ietf.org/html/rfc3022>],

      NAT64 [RFC6146<https://tools.ietf.org/html/rfc6146>], HTTP header enrichment functions, and TCP

      optimizers."

there was a question from one of the 3GPP delegates on how this can be called as

[Reza] Yes 4G/5G RAN nodes means eNB, gNB-DU, gNB-CU-UP etc. However, the fundamental aspect to be considered for IETF Network Slice is that it is technology-agonistic.

Note that also that RAN nodes for example have two logical components; Radio components and transport component. The IETF Network Slice addresses the connectivity from Transport component of RAN (which in today’s technology it is the data-path) to other endpoints. It is called 'IETF Network Slice Endpoint' because user’s traffic starts from this entry point.

these definitions.

[Reza] As mentioned above the 'IETF Network Slice  and 'IETF Network Slice Endpoint are technology-agnostics. In draft these nodes are are called DAN (Device, Application, NF) which shows its true technology-agnostics.

[Reza]

2.

Section 1 says

Obviously, optical is a bigger topic and if we talk about optical solutions like

So, could you please expand 'optical' in the list above? Is it the  various optical control plane

--

Uma C.

---

From: Uma Chunduri <[email-masked]>
Date: Fri, 12 Feb 2021 15:02:09 -0800

Hi Reza,

Many thx for your reply.

See a quick response in-line.

--
Uma C.

On Fri, Feb 12, 2021 at 6:46 AM Rokui, Reza (Nokia - CA/Ottawa) <
[email-masked]> wrote:

> *From: *Teas <[email-masked]> on behalf of Uma Chunduri <
> [email-masked]>
> *Date: *Thursday, February 11, 2021 at 7:26 PM
> *To: *TEAS WG <[email-masked]>
> *Cc: *dmm <[email-masked]>
> *Subject: *[Teas] draft-ietf-teas-ietf-network-slice-definition-00
>
>
>
> Dear All,
>
>
>
>       Packet Inspection (DPI), server load balancers, NAT44 [RFC3022 <https://tools.ietf.org/html/rfc3022>],
>
>       NAT64 [RFC6146 <https://tools.ietf.org/html/rfc6146>], HTTP header enrichment functions, and TCP
>
>       optimizers."
>
>
>
>
>
> Note that also that RAN nodes for example have two logical components; Radio components and transport component. The IETF Network Slice addresses the connectivity from *Transport component of RAN*
>
>  (which in today’s technology it is the data-path) to other endpoints. It is called 'IETF Network Slice Endpoint' because user’s traffic starts from this entry point.
>
> * [Uma]: Indeed and  in all these cases i.e., between DU-CU, gNB-UPF or
eNB-SGW, SGW-PGW, UPF-UPF the packet emitted would be UDP/IP packet
encapsulating the user payload with the overlay header. But just because it
is emitting the IP packet we might not want to rename these as  'IETF
Network Slice Endpoint'.  As we are speaking about this particular use case
in the document, let me say I clearly got feedback that: from the 3GPP
point of view only UE and UPF are the slice endpoints and all the nodes in
between RAN, PE nodes  etc., are slice realization endpoints. So we are a
bit off here w.r.t terminology for this use case and this would be
indicated as such in the update to be made
https://tools.ietf.org/html/draft-clt-dmm-tn-aware-mobility-08
<https://tools.ietf.org/html/draft-clt-dmm-tn-aware-mobility-08>. So my
sincere suggestion would be to use terms neutral as you agreed on the other
thread.*

> [Reza] As mentioned above the 'IETF Network Slice  and 'IETF Network Slice Endpoint are technology-agnostics. In draft these nodes are are called DAN (Device, Application, NF)
>
> which shows its true technology-agnostics.
>
> *[Uma]: Agree and that aspect clearly specified in the document. *